### Method

# Foundry FileSearchOptions set_excluded_patterns

since: 1.1

#### Declaration [src]

    void
    foundry_file_search_options_set_excluded_patterns (
      FoundryFileSearchOptions* self,
      const char* const* excluded_patterns
    )

#### Description [src]

Sets the excluded file patterns.

These patterns define which files should be excluded from the search. Files that match any of these patterns will be skipped during the search. The patterns use shell-style globbing (e.g. “*.o”).

Available since: 1.1

Sets property | `Foundry.FileSearchOptions:excluded-patterns`

#### Parameters

`excluded_patterns`

  Type: `const char* const*`

  Array of excluded file patterns.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.